package cn.axzo.msg.center.dal.impl;


import cn.axzo.msg.center.dal.MNSMessageAppDao;
import cn.axzo.msg.center.dal.mapper.MNSMessageAppMapper;
import cn.axzo.msg.center.domain.entity.MNSMessageApp;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 消息应用表 Dao实现类
 * </p>
 *
 * @author zhaoyong
 * @since 2021-05-19
 */
@Repository("mnsMessageAppDao")
public class MNSMessageAppDaoImpl extends ServiceImpl<MNSMessageAppMapper, MNSMessageApp> implements MNSMessageAppDao {

  @Override
  public MNSMessageApp queryByAppCode(String appCode) {
    return this.lambdaQuery()
        .eq(MNSMessageApp::getAppCode, appCode)
        .one();
  }

}
